## org.eclipse.datatools.modelbase.sql.constraints
Interface Assertion

All Superinterfaces:
  Constraint, SQLObject

All Known Implementing Classes:
  AssertionImpl

public interface Assertion
extends Constraint

A representation of the model object 'Assertion'. 4.17.4 Assertions An assertion is a named constraint that may relate to the content of individual rows of a table, to the entire contents of a table, or to a state required to exist among a number of tables. An assertion is described by an assertion descriptor. In addition to the components of every constraint descriptor an assertion descriptor includes: - The . An assertion is satisfied if and only if the specified is not False. Syntax defined in section 11.37 <assertion definition> Function: Specify an integrity constraint. Format: <assertion definition> ::= CREATE ASSERTION <constraint name> CHECK <left paren> <right paren> [ <constraint characteristics> ] 10.8 2) The <qualified identifier> of <constraint name> shall not be equivalent to the <qualified identifier> of the <constraint name> of any other constraint defined in the same schema.

The following features are supported:

- `Search Condition`
- `Schema`
- `Constrained Tables`

See Also:
  `SQLConstraintsPackage.getAssertion()`

Method Summary
`EList` `getConstrainedTables()` Returns the value of the 'Constrained Tables' reference list.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`SearchCondition` `getSearchCondition()` Returns the value of the 'Search Condition' containment reference.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.
`void` `setSearchCondition(SearchCondition value)` Sets the value of the '`Search Condition`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSearchCondition

    public SearchCondition getSearchCondition()

  Returns the value of the 'Search Condition' containment reference.

  If the meaning of the 'Search Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Search Condition' containment reference.
  See Also:
    `setSearchCondition(SearchCondition)`, `SQLConstraintsPackage.getAssertion_SearchCondition()`

### setSearchCondition

    public void setSearchCondition(SearchCondition value)

  Sets the value of the '`Search Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Search Condition' containment reference.
  See Also:
    `getSearchCondition()`

### getSchema

    public Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Assertions`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLConstraintsPackage.getAssertion_Schema()`, `Schema.getAssertions()`

### setSchema

    public void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getConstrainedTables

    public EList getConstrainedTables()

  Returns the value of the 'Constrained Tables' reference list. The list contents are of type `BaseTable`.

  If the meaning of the 'Constrained Tables' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constrained Tables' reference list.
  See Also:
    `SQLConstraintsPackage.getAssertion_ConstrainedTables()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.